<script type="text/javascript">
$(document).ready(function(){
	$("#tabs").tabs({selected:0});
	$("#form").load('modul/jual_kd/form.php');
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tglawal").val(data.tanggal);
				$("#t_tglakhir").val(data.tanggal);	
			}
		});
	}
	
	$("#cari_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglawal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglakhir").focus();
			return false;
		}
		$("#tampil_daftar").show();
		$("#tampil_daftar").load('modul/jual_kd/tampil_daftar_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		window.location.href='modul/laporan/daftar_pjsj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
	
	$("#tutup_daftar").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT PENJUALAN</a></li>
		   <li><a href='#daftar'>DAFTAR PENJUALAN</a></li>
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='daftar'>
		<div id='pencarian_daftar'>
			<table>
				<tr>
					<td>Penjualan tanggal : <input type='date' name='t_tglawal' id='t_tglawal' size='10'> sampai dengan <input type='date' name='t_tglakhir' id='t_tglakhir' size='10'></td>
					<td>
						<button name='cari_daftar' id='cari_daftar'>Cari</button>
						<button name='cetak_daftar' id='cetak_daftar'>Cetak</button>
						<button name='tutup_daftar' id='tutup_daftar'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>

		<div id='tampil_daftar' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>